module Mock.Article (
      noDescription
    , noImage
    , noMeta
    , simple
  ) where

import Article (Article(..))
import qualified Data.Map as Map (fromList)
import Markdown (Markdown(..))
import Mock.Markdown (article)

simple :: Article
simple = Article article

noImage :: Article
noImage = Article $ article {metadata = Map.fromList [("summary", "It's a test")]}

noDescription :: Article
noDescription = Article $ article {metadata = Map.fromList [("featuredImage", "test.png")]}

noMeta :: Article
noMeta = Article $ article {metadata = Map.fromList []}
